Description

Redmine is good for project management. But not only for real software development! So versions doesn't make much sense in none
software development projects.

My suggestion: Let the user choose if a version is a version or a milestone, a target, a phase, stage or whatever.
Realization would be quite simple. You just have to add another field that specifies the type of the 'version'. If the user creates a
version he or she has to select in a dropdown the type. Ideally you could add some icons to visualize the versions types e.g. in the

roadmap.

In a further development this the version types could be made configurable. But this is not so important in my case. | just notice that
peoople don't like to use versions. It would be quite clearer if this just could have another name.

Related issues:

Related to Redmine - Feature #724: change "versions" to "milestones” New 2008-02-22
Related to Redmine - Feature #13387: Improving Redmine's version model (not j... New

Related to Redmine - Feature #21577: The version should get a status archived... New

Related to Redmine - Feature #29164: Make the terms overwrite from the Redmin... New

History

#1 - 2014-10-09 08:28 - Robert Schneider

Any comments? IMO this is smaller change (but | could be wrong, of course) that is quite effective. Or not?

#2 - 2014-10-15 22:12 - Ebrahim Mohammadi

I think "Version" is too specific and for some categories of Redmine users not suitable. Using a more generic term such as "Milestone" would be a
better default. And letting user customize the terminology would be nice, although not necessary IMO.

#3 - 2014-10-17 08:45 - Toshi MARUYAMA
- Category set to Roadmap

#4 - 2015-02-14 05:51 - Mischa The Evil

- Related to Feature #724: change "versions" to "milestones" added

#5 - 2016-06-06 17:43 - Dipan Mehta

This is indeed necessary for using Redmine for non-software projects. This should be considered when we are making larger over haul in versions
under issue #13387.

Add related #13387

#6 - 2016-07-04 06:47 - Toshi MARUYAMA

- Related to Feature #13387: Improving Redmine's version model (not just milestones) added

#7 - 2016-07-06 17:59 - iransamin.ir sabasa

Hi,

| agree with this new feature, while i believe that milestone is a for measuring distance passed not the distance to be passed for the first time, but i
think changing the people's way of thinking is to hard!

2025-08-23 1/2



https://www.redmine.org/issues/13387
https://www.redmine.org/issues/13387

#8 - 2017-08-11 15:22 - Toshi MARUYAMA
- Related to Feature #21577: The version should get a status archived like projects added

#9 - 2018-06-30 08:13 - Bernhard Rohloff

| also agree with this proposal. From my experience it's hard to sell the Roadmap feature to people which are not involved in any type of software
development or dev-topics at all. | usually come around that issue by renaming the 'version' to a more casual umbrella term like ' collection ' so
everybody can specify their type in the name like for example Version - V1.2 or Sprint - 1 or Milestone - Requirements something like that.

This solution has no impact on the core system of Redmine and gains the versatility and acceptance for the Roadmap module especially by non
tech-savvy users a lot.

+1

#10 - 2018-09-19 16:29 - Anonymous

+1
#11 - 2018-09-20 15:03 - Yuuki NARA
+1

The function of Redmine is flexible, and it can be used in various ways in a wide range.
However, because the names of each term are fixed, it is not suitable for individual use, and it may be difficult to use Redmine.

| have created a issue to overwrite the term file.
With this function, you can set appropriate terms according to the usage of Redmine.

Make the terms overwrite from the Redmine administration screen.
https://www.redmine.org/issues/29164

#12 - 2018-09-20 15:41 - Go MAEDA

- Related to Feature #29164: Make the terms overwrite from the Redmine administration screen. added

#13 - 2019-01-17 09:22 - Robert Schneider

Man... | would be glad if it could be implemented. Would be so useful! Couldn't it be considered?

#14 - 2019-09-21 08:12 - Yuuki NARA
redmine_message_customize plugin has been created.
You can use this to override the term from the administration screen.

https://github.com/ishikawa999/redmine_message_customize
http://www.redmine.org/issues/29164#note-5
